/**
 * 自定义数据访问的http辅助类，供业务调用
 * nh 2021.12.28
 */

 import { httpUtils } from "./basic/httpUtils";

 export class customHttpUtils extends httpUtils {

    constructor(){
        super("");
    };

     /**
     * 自定义请求
     * @param url 带有http前缀的完整的url地址
     * @param headers 
     * @param data 
     * @param method get | post  默认post
     * @returns 
     */
    public async customRequest(url: string, headers: any, data: any, method: string) {
        return await super.customRequest(url, headers, data, method);
    }
 }